> ## Documentation Index
> Fetch the complete documentation index at: https://docs-stage.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog prices

> Returns the most updated international prices of a merchant's products across the territories operated by Global-e, for the requested countries and products.

<Note>
  Part of the [International Prices](/international-prices) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/getcatalogprices.yaml POST /Browsing/GetCatalogPrices
openapi: 3.0.3
info:
  title: GetCatalogPrices
  version: 1.0.0
  x-scaled-review: true
  description: >-
    The GetCatalogPrices API provides merchants with the most updated
    international prices of their products in different territories operated by
    Global‑e. These prices can be used for marketing needs (for example, in the
    Google Shopping Feed or in email marketing campaigns). The recommended
    frequency of usage of this API call is 1 call per day, as currency rates are
    updated in the Global-e system once a day. The maximum number of currency
    results (i.e. product count multiplied by requested countries count) cannot
    exceed 10,000.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: GetCatalogPrices
    x-page-title: GetCatalogPrices
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/GetCatalogPrices:
    post:
      tags:
        - GetCatalogPrices
      description: >-
        Receives a catalogue conversion request from a merchant and returns the
        requested list of country and currency prices for the catalogue.
      operationId: getCatalogPrices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FullProductCatalogRequest'
            example:
              Countries:
                - CountryCode: FR
                - CountryCode: DE
              Products:
                - ProductCode: '565571'
                  OriginalCurrencyCode: GBP
                  OriginalSalePrice: 100
                  VATRate: 0
                  ProductClassCode: null
                  IsPriceIncludeVAT: null
                - ProductCode: '565571'
                  OriginalCurrencyCode: GBP
                  OriginalSalePrice: 20
                  VATRate: 20
                  ProductClassCode: null
                  IsPriceIncludeVAT: null
      responses:
        '200':
          description: >-
            List of SKUs and related prices in the countries that were sent in
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullProductCatalogResponse'
              example:
                Products:
                  - ProductCode: P1
                    Countries:
                      - CountryCode: FR
                        Currency:
                          CurrencyCode: EUR
                          Price: 142.95
                      - CountryCode: DE
                        Currency:
                          CurrencyCode: EUR
                          Price: 141.95
                  - ProductCode: P2
                    Countries:
                      - CountryCode: FR
                        Currency:
                          CurrencyCode: EUR
                          Price: 23.95
                      - CountryCode: DE
                        Currency:
                          CurrencyCode: EUR
                          Price: 23.95
        default:
          description: >-
            Failure. The guide states a failure message is sent back when the
            request exceeds the maximum currency-results limit; no error status
            code or error shape is documented (ErrorInfo is the house-standard
            error model).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorInfo'
components:
  schemas:
    FullProductCatalogRequest:
      type: object
      title: FullProductCatalogRequest
      required:
        - Products
      properties:
        Countries:
          type: array
          items:
            $ref: '#/components/schemas/FullCatalogCountryRequest'
          description: >-
            List of countries for the response. Optional — if omitted, prices
            are returned for all countries the merchant is operated in by
            Global-e, using each country's configured price-feed/default
            currency
        Products:
          type: array
          items:
            $ref: '#/components/schemas/CatalogProductRequest'
          description: >-
            List of product information. Will include the entire catalogue
            required for the response
    FullProductCatalogResponse:
      type: object
      title: FullProductCatalogResponse
      properties:
        Products:
          type: array
          items:
            $ref: '#/components/schemas/CatalogProductResponse'
          description: >-
            List of requested products with a list of prices for each required
            country
    ErrorInfo:
      type: object
      title: ErrorInfo
      properties:
        Code:
          type: string
        Error:
          type: string
        Description:
          type: string
    FullCatalogCountryRequest:
      type: object
      title: FullCatalogCountryRequest
      required:
        - CountryCode
      properties:
        CountryCode:
          type: string
          description: Country code for the requested country
    CatalogProductRequest:
      type: object
      title: CatalogProductRequest
      required:
        - ProductCode
        - OriginalSalePrice
      properties:
        ProductCode:
          type: string
          description: >-
            ProductCode (SKU) for the product. Returned with the response for
            product identification
        OriginalCurrencyCode:
          type: string
          description: >-
            Currency code for the received product. If left empty, the
            configured merchant currency is assumed
        OriginalSalePrice:
          type: number
          description: Price in original currency
        VATRate:
          type: number
          description: Local VAT rate of the product in the merchant country
        ProductClassCode:
          type: string
          nullable: true
          description: >-
            Product class code used by the merchant to overwrite country
            coefficient rate.
        IsPriceIncludeVAT:
          type: boolean
          nullable: true
          default: true
          description: >-
            If not set, the default is True. Indicates whether the price
            includes merchant VAT rate.
    CatalogProductResponse:
      type: object
      title: CatalogProductResponse
      properties:
        ProductCode:
          type: string
          description: >-
            ProductCode (SKU) for the product. Same as the received value in the
            request
        Countries:
          type: array
          items:
            $ref: '#/components/schemas/CatalogCountryResponse'
          description: List of relevant country results for the product.
    CatalogCountryResponse:
      type: object
      title: CatalogCountryResponse
      properties:
        CountryCode:
          type: string
          description: Country Code of the current returned country
        Currency:
          description: Currency value (code and price) for the current product and country
          allOf:
            - $ref: '#/components/schemas/CatalogCurrencyResponse'
    CatalogCurrencyResponse:
      type: object
      title: CatalogCurrencyResponse
      properties:
        CurrencyCode:
          type: string
          description: Currency Code of the current returned currency
        Price:
          type: number
          description: Price for the specific product in the relevant country and currency

````